Index: /trunk/src/VBox/HostDrivers/Support/SUPLib.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPLib.cpp	(revision 62674)
+++ /trunk/src/VBox/HostDrivers/Support/SUPLib.cpp	(revision 62675)
@@ -136,5 +136,5 @@
 static bool                     g_fSupportsPageAllocNoKernel = true;
 /** Fake mode indicator. (~0 at first, 0 or 1 after first test) */
-uint32_t                        g_uSupFakeMode = ~0;
+uint32_t                        g_uSupFakeMode = UINT32_MAX;
 
 
@@ -549,5 +549,5 @@
             ASMAtomicWriteNullPtr((void * volatile *)&g_pSUPGlobalInfoPage);
             ASMAtomicWriteNullPtr((void * volatile *)&g_pSUPGlobalInfoPageR0);
-            ASMAtomicWriteSize(&g_HCPhysSUPGlobalInfoPage, NIL_RTHCPHYS);
+            ASMAtomicWriteU64(&g_HCPhysSUPGlobalInfoPage, NIL_RTHCPHYS);
             /* just a little safe guard against threads using the page. */
             RTThreadSleep(50);
@@ -1522,4 +1522,5 @@
     AssertReturn(!phFile, VERR_NOT_IMPLEMENTED); /** @todo Implement this. The deal is that we make sure the
                                                      file is the same we verified after opening it. */
+    RT_NOREF2(pszFilename, pszMsg);
 
     /*
@@ -1637,4 +1638,5 @@
     return rc;
 #else
+    RT_NOREF1(pszFilename);
     return VINF_SUCCESS;
 #endif
@@ -2087,4 +2089,6 @@
 DECLASM(void) suplibTracerFireProbe(PVTGPROBELOC pProbeLoc, PSUPTRACERUMODFIREPROBE pReq)
 {
+    RT_NOREF1(pProbeLoc);
+
     pReq->Hdr.u32Cookie         = g_u32Cookie;
     pReq->Hdr.u32SessionCookie  = g_u32SessionCookie;
Index: /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedIPRT.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedIPRT.cpp	(revision 62674)
+++ /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedIPRT.cpp	(revision 62675)
@@ -101,6 +101,6 @@
     va_copy(vaCopy, va);
     AssertFatalMsgFailed(("%s (rc=%Rrc): %N", pszWhere, rc, pszMsgFmt, &vaCopy));
-    va_end(vaCopy);
     NOREF(enmWhat);
+    /* not reached */
 }
 
@@ -111,5 +111,5 @@
     va_start(va, pszMsgFmt);
     supR3HardenedFatalMsgV(pszWhere, enmWhat, rc, pszMsgFmt, va);
-    va_end(va);
+    /* not reached */
 }
 
@@ -120,5 +120,5 @@
     va_copy(vaCopy, va);
     AssertFatalMsgFailed(("%N", pszFormat, &vaCopy));
-    va_end(vaCopy);
+    /* not reached */
 }
 
@@ -129,5 +129,5 @@
     va_start(va, pszFormat);
     supR3HardenedFatalV(pszFormat, va);
-    va_end(va);
+    /* not reached */
 }
 
Index: /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedVerify.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedVerify.cpp	(revision 62674)
+++ /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedVerify.cpp	(revision 62675)
@@ -620,4 +620,5 @@
 
 # else  /* Not checking signatures. */
+    RT_NOREF4(pFile, pVerified, fFatal, fLeaveFileOpen);
     return VINF_SUCCESS;
 # endif /* Not checking signatures. */
@@ -882,4 +883,5 @@
 #ifndef RT_OS_DARWIN
     size_t const    cchProgNameDll = cchProgNameExe;
+    NOREF(fMainFlags);
 #else
     size_t const    cchProgNameDll = fMainFlags & SUPSECMAIN_FLAGS_OSX_VM_APP
@@ -1247,4 +1249,5 @@
     /** @todo Windows hardening. */
     pFsObjState->chTodo = 0;
+    RT_NOREF2(pszPath, pErrInfo);
     return VINF_SUCCESS;
 
@@ -1289,4 +1292,5 @@
     /** @todo Windows hardening. */
     pFsObjState->chTodo = 0;
+    RT_NOREF3(hNative, pszPath, pErrInfo);
     return VINF_SUCCESS;
 
@@ -1325,7 +1329,9 @@
 #if defined(RT_OS_WINDOWS)
     /** @todo Windows hardening. */
+    RT_NOREF4(pFsObjState1, pFsObjState2, pszPath, pErrInfo);
     return VINF_SUCCESS;
 
 #elif defined(RT_OS_OS2)
+    RT_NOREF4(pFsObjState1, pFsObjState2, pszPath, pErrInfo);
     return VINF_SUCCESS;
 
@@ -1510,8 +1516,10 @@
 #if defined(RT_OS_WINDOWS)
     /** @todo Windows hardening. */
+    RT_NOREF5(pszDirPath, cchDirPath, pFsObjState, fRecursive, pErrInfo);
     return VINF_SUCCESS;
 
 #elif defined(RT_OS_OS2)
     /* No hardening here - it's a single user system. */
+    RT_NOREF5(pszDirPath, cchDirPath, pFsObjState, fRecursive, pErrInfo);
     return VINF_SUCCESS;
 
@@ -1734,5 +1742,8 @@
         }
         else
+        {
             rc = RTErrInfoSetF(pErrInfo, rc, "Error converting '%s' to UTF-16: %Rrc", pszFilename, rc);
+            hVerify = INVALID_HANDLE_VALUE;
+        }
     }
     else
@@ -1760,4 +1771,6 @@
         rc = supHardenedWinVerifyImageByHandleNoName(hVerify, fFlags, pErrInfo);
 #  endif
+# else
+        RT_NOREF1(fMaybe3rdParty);
 # endif
         NtClose(hVerify);
@@ -1768,4 +1781,6 @@
     if (RT_FAILURE(rc))
         return rc;
+#else
+    RT_NOREF1(fMaybe3rdParty);
 #endif
 
Index: /trunk/src/VBox/HostDrivers/Support/win/SUPLib-win.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/win/SUPLib-win.cpp	(revision 62674)
+++ /trunk/src/VBox/HostDrivers/Support/win/SUPLib-win.cpp	(revision 62675)
@@ -260,4 +260,6 @@
                 pErrInfo->pszMsg[0] = '\0';
         }
+#else
+        RT_NOREF1(penmWhat);
 #endif
         return rc;
@@ -457,4 +459,6 @@
         CloseServiceHandle(hSMgr);
     }
+    else
+        rc = RTErrConvertFromWin32(dwErr);
     return rc;
 }
@@ -570,5 +574,5 @@
         SERVICE_STATUS Status;
         BOOL fRc = QueryServiceStatus(hService, &Status);
-        Assert(fRc);
+        Assert(fRc); NOREF(fRc);
         if (Status.dwCurrentState == SERVICE_RUNNING)
             rc = VINF_ALREADY_INITIALIZED;
@@ -652,4 +656,6 @@
 int suplibOsIOCtl(PSUPLIBDATA pThis, uintptr_t uFunction, void *pvReq, size_t cbReq)
 {
+    RT_NOREF1(cbReq);
+
     /*
      * Issue the device I/O control.