Index: trunk/src/VBox/Runtime/testcase/tstPrfRT.cpp
===================================================================
--- trunk/src/VBox/Runtime/testcase/tstPrfRT.cpp	(revision 62721)
+++ trunk/src/VBox/Runtime/testcase/tstPrfRT.cpp	(revision 62722)
@@ -71,5 +71,5 @@
     AssertCompile(((cIterations) % 8) == 0); \
     /* Min and max value. */ \
-    for (i = 0, u64MinTS = ~0, u64MaxTS = 0; i < (cIterations); i++) \
+    for (i = 0, u64MinTS = UINT64_MAX, u64MaxTS = 0; i < (cIterations); i++) \
     { \
         { preexpr } \
@@ -124,5 +124,5 @@
 
 # define ITERATE(preexpr, expr, postexpr, cIterations) \
-    for (i = 0, u64TotalTS = 0, u64MinTS = ~0, u64MaxTS = 0; i < (cIterations); i++) \
+    for (i = 0, u64TotalTS = 0, u64MinTS = UINT64_MAX, u64MaxTS = 0; i < (cIterations); i++) \
     { \
         { preexpr } \
@@ -151,5 +151,5 @@
     uint64_t    u64MinTS;
     uint64_t    u64MaxTS;
-    unsigned    i;
+    uint32_t    i;
 
     RTEXITCODE rcExit = RTTestInitExAndCreate(argc, &argv, argc == 2 ? RTR3INIT_FLAGS_SUPLIB : 0, "tstRTPrf", &g_hTest);
@@ -161,14 +161,14 @@
      * RTTimeNanoTS, RTTimeProgramNanoTS, RTTimeMilliTS, and RTTimeProgramMilliTS.
      */
-    ITERATE(RT_NOTHING, RTTimeNanoTS();, RT_NOTHING, _1M * 32);
+    ITERATE(RT_NOTHING, RTTimeNanoTS();, RT_NOTHING, _32M);
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTTimeNanoTS");
 
-    ITERATE(RT_NOTHING, RTTimeProgramNanoTS();, RT_NOTHING, 1000000);
+    ITERATE(RT_NOTHING, RTTimeProgramNanoTS();, RT_NOTHING, UINT32_C(1000000));
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTTimeProgramNanoTS");
 
-    ITERATE(RT_NOTHING, RTTimeMilliTS();, RT_NOTHING, 1000000);
+    ITERATE(RT_NOTHING, RTTimeMilliTS();, RT_NOTHING, UINT32_C(1000000));
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTTimeMilliTS");
 
-    ITERATE(RT_NOTHING, RTTimeProgramMilliTS();, RT_NOTHING, 1000000);
+    ITERATE(RT_NOTHING, RTTimeProgramMilliTS();, RT_NOTHING, UINT32_C(1000000));
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTTimeProgramMilliTS");
 
@@ -177,5 +177,5 @@
      */
     RTTIMESPEC Time;
-    ITERATE(RT_NOTHING, RTTimeNow(&Time);, RT_NOTHING, 1000000);
+    ITERATE(RT_NOTHING, RTTimeNow(&Time);, RT_NOTHING, UINT32_C(1000000));
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTTimeNow");
 
@@ -183,5 +183,5 @@
      * RTLogDefaultInstance()
      */
-    ITERATE(RT_NOTHING, RTLogDefaultInstance();, RT_NOTHING, 1000000);
+    ITERATE(RT_NOTHING, RTLogDefaultInstance();, RT_NOTHING, UINT32_C(1000000));
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTLogDefaultInstance");
 
@@ -189,8 +189,8 @@
      * RTThreadSelf and RTThreadNativeSelf
      */
-    ITERATE(RT_NOTHING, RTThreadSelf();, RT_NOTHING, 1000000);
+    ITERATE(RT_NOTHING, RTThreadSelf();, RT_NOTHING, UINT32_C(1000000));
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTThreadSelf");
 
-    ITERATE(RT_NOTHING, RTThreadNativeSelf();, RT_NOTHING, 1000000);
+    ITERATE(RT_NOTHING, RTThreadNativeSelf();, RT_NOTHING, UINT32_C(1000000));
     PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "RTThreadNativeSelf");
 
@@ -199,13 +199,13 @@
      * Registers vs stack.
      */
-    ITERATE(RT_NOTHING, tstRTPRfARegisterAccess();, RT_NOTHING, 1000);
+    ITERATE(RT_NOTHING, tstRTPRfARegisterAccess();, RT_NOTHING, UINT32_C(1000));
     uint64_t const cRegTotal = u64TotalTS;
     //PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "Register only algorithm");
 
-    ITERATE(RT_NOTHING, tstRTPRfAMemoryAccess();, RT_NOTHING, 1000);
+    ITERATE(RT_NOTHING, tstRTPRfAMemoryAccess();, RT_NOTHING, UINT32_C(1000));
     uint64_t const cMemTotal = u64TotalTS;
     //PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "Memory only algorithm");
 
-    ITERATE(RT_NOTHING, tstRTPRfAMemoryUnalignedAccess();, RT_NOTHING, 1000);
+    ITERATE(RT_NOTHING, tstRTPRfAMemoryUnalignedAccess();, RT_NOTHING, UINT32_C(1000));
     uint64_t const cMemUnalignedTotal = u64TotalTS;
     //PrintResult(u64TotalTS, u64MaxTS, u64MinTS, i, "Memory only algorithm");
Index: trunk/src/VBox/Runtime/testcase/tstSemPingPong.cpp
===================================================================
--- trunk/src/VBox/Runtime/testcase/tstSemPingPong.cpp	(revision 62721)
+++ trunk/src/VBox/Runtime/testcase/tstSemPingPong.cpp	(revision 62722)
@@ -52,5 +52,5 @@
     RT_NOREF_PV(hThread);
 
-    int rc;
+    int rc = VINF_SUCCESS; /* (MSC powers of deduction are rather weak. sigh) */
     PRTPINGPONG pPP = (PRTPINGPONG)pvPP;
     for (uint32_t i = 0; i < TSTSEMPINGPONG_ITERATIONS; i++)
Index: trunk/src/VBox/Runtime/testcase/tstUtf8.cpp
===================================================================
--- trunk/src/VBox/Runtime/testcase/tstUtf8.cpp	(revision 62721)
+++ trunk/src/VBox/Runtime/testcase/tstUtf8.cpp	(revision 62722)
@@ -1038,9 +1038,10 @@
     do { \
         const char *pszRet = expr; \
-        if (   (pszRet != NULL && (expect) == NULL) \
-            || (pszRet == NULL && (expect) != NULL) \
-            || strcmp(pszRet, (expect)) \
+        const char *pszExpect = (expect); \
+        if (   (pszRet != NULL && pszExpect == NULL) \
+            || (pszRet == NULL && pszExpect != NULL) \
+            || strcmp(pszRet, pszExpect) \
             ) \
-            RTTestFailed(hTest, "%d: %#x -> %s expected %s", __LINE__, #expr, pszRet, (expect)); \
+            RTTestFailed(hTest, "%d: %#x -> %s expected %s", __LINE__, #expr, pszRet, pszExpect); \
     } while (0)
 