Index: trunk/src/VBox/GuestHost/OpenGL/include/GL/glext.h
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/include/GL/glext.h	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/include/GL/glext.h	(revision 62812)
@@ -31,5 +31,9 @@
 #if defined(_WIN32) && !defined(APIENTRY) && !defined(__CYGWIN__) && !defined(__SCITECH_SNAP__)
 #define WIN32_LEAN_AND_MEAN 1
+# ifdef VBOX
+#  include <iprt/win/windows.h>
+# else
 #include <windows.h>
+# endif
 #endif
 
Index: trunk/src/VBox/GuestHost/OpenGL/include/cr_pack.h
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/include/cr_pack.h	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/include/cr_pack.h	(revision 62812)
@@ -94,5 +94,5 @@
 
 #if !defined(IN_RING0)
-# define CR_PACKER_CONTEXT_ARGSINGLEDECL
+# define CR_PACKER_CONTEXT_ARGSINGLEDECL void
 # define CR_PACKER_CONTEXT_ARGDECL
 # define CR_PACKER_CONTEXT_ARG
Index: trunk/src/VBox/GuestHost/OpenGL/include/cr_process.h
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/include/cr_process.h	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/include/cr_process.h	(revision 62812)
@@ -10,5 +10,9 @@
 #ifdef WINDOWS
 #define WIN32_LEAN_AND_MEAN
+# ifdef VBOX
+#  include <iprt/win/windows.h>
+# else
 #include <windows.h>
+# endif
 #endif
 
Index: trunk/src/VBox/GuestHost/OpenGL/include/cr_threads.h
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/include/cr_threads.h	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/include/cr_threads.h	(revision 62812)
@@ -19,5 +19,9 @@
 #ifdef WINDOWS
 #define WIN32_LEAN_AND_MEAN
+# ifdef VBOX
+#  include <iprt/win/windows.h>
+# else
 #include <windows.h>
+# endif
 #else
 #include <pthread.h>
Index: trunk/src/VBox/GuestHost/OpenGL/include/cr_timer.h
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/include/cr_timer.h	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/include/cr_timer.h	(revision 62812)
@@ -10,5 +10,9 @@
 #endif
 #else
+# ifdef VBOX
+#  include <iprt/win/windows.h>
+# else
 #include <windows.h>
+# endif
 #endif
 
Index: trunk/src/VBox/GuestHost/OpenGL/packer/pack_visibleregion.c
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/packer/pack_visibleregion.c	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/packer/pack_visibleregion.c	(revision 62812)
@@ -1,2 +1,3 @@
+/* $Id$ */
 /** @file
  * VBox Packing VisibleRegion information
@@ -20,5 +21,5 @@
 
 #ifdef WINDOWS
-#include <windows.h>
+# include <iprt/win/windows.h>
 #endif
 
@@ -54,2 +55,3 @@
     crError( "crPackWindowVisibleRegionSWAP unimplemented and shouldn't be called" );
 }
+
Index: trunk/src/VBox/GuestHost/OpenGL/spu_loader/glloader.py
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/spu_loader/glloader.py	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/spu_loader/glloader.py	(revision 62812)
@@ -24,5 +24,9 @@
 #include <stdio.h>
 #if defined(WINDOWS)
+# ifdef VBOX
+#  include <iprt/win/windows.h>
+# else
 #include <windows.h>
+# endif
 #include <process.h>
 #include <direct.h>
Index: trunk/src/VBox/GuestHost/OpenGL/util/dll.c
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/util/dll.c	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/util/dll.c	(revision 62812)
@@ -20,5 +20,9 @@
 
 #ifdef WINDOWS
+# ifdef VBOX
+#  include <iprt/win/shlwapi.h>
+# else
 #include <Shlwapi.h>
+# endif
 #endif
 
Index: trunk/src/VBox/GuestHost/OpenGL/util/error.c
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/util/error.c	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/util/error.c	(revision 62812)
@@ -28,5 +28,5 @@
 
 #ifdef RT_OS_WINDOWS
-# include <windows.h>
+# include <iprt/win/windows.h>
 # include "cr_environment.h"
 # include "cr_error.h"
Index: trunk/src/VBox/GuestHost/OpenGL/util/rand.c
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/util/rand.c	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/util/rand.c	(revision 62812)
@@ -9,5 +9,9 @@
 #ifdef WINDOWS
 #define WIN32_LEAN_AND_MEAN
+# ifdef VBOX
+#  include <iprt/win/windows.h>
+# else
 #include <windows.h>
+# endif
 #else
 #include <sys/time.h>
Index: trunk/src/VBox/GuestHost/OpenGL/util/timer.c
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/util/timer.c	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/util/timer.c	(revision 62812)
@@ -13,5 +13,9 @@
 #else
 #define WIN32_LEAN_AND_MEAN
+# ifdef VBOX
+#  include <iprt/win/windows.h>
+# else
 #include <windows.h>
+# endif
 #endif
 
Index: trunk/src/VBox/GuestHost/OpenGL/util/vboxhgcm.c
===================================================================
--- trunk/src/VBox/GuestHost/OpenGL/util/vboxhgcm.c	(revision 62811)
+++ trunk/src/VBox/GuestHost/OpenGL/util/vboxhgcm.c	(revision 62812)
@@ -15,4 +15,5 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 #ifdef RT_OS_WINDOWS
 # include <iprt/win/windows.h>